Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Functions | Variables
iota.hpp File Reference

## Classes
struct | ranges::closed_iota_view< From, To >
| An iota view in a closed range. More...
struct | ranges::iota_view< From, To >
struct | ranges::views::closed_iota_fn
struct | ranges::views::ints_fn
struct | ranges::views::iota_fn

## Functions
template<typename From , typename To >
| ranges::closed_iota_view (From, To) -> closed_iota_view< From, To >
template<typename From , typename To >
| ranges::iota_view (From, To) -> iota_view< From, To >

## Variables
template<typename From , typename To >
constexpr bool | ranges::enable_borrowed_range< closed_iota_view< From, To > >
template<typename From , typename To >
constexpr bool | ranges::enable_borrowed_range< iota_view< From, To > > = true